//Custom event class for blend filter
package lib.FilterEvents
{
	import flash.display.BlendMode;
	import flash.events.Event;

	public class BlendFilterEvent extends Event
	{
		public var _enabled:Boolean;
		public var _blendMode:String;
		
		public function BlendFilterEvent(enabled:Boolean, blendMode:String, type:String)
		{
			super(type, bubbles, cancelable);
			this._enabled = enabled;
			this._blendMode = blendMode;
		}
		
		override public function clone():Event
		{
			return new BlendFilterEvent(_enabled, _blendMode, type);
		}
		
	}
}