 // ActionScript file containing event listener and enable/disable functions of blend filter
 import lib.FilterEvents.BlendFilterEvent;
 
 private var _blend1Enabled:Boolean;
 private var _blend2Enabled:Boolean;
 private var _blendMode1:String;
 private var _blendMode2:String;
 
 private function blendEventHandler1(event:BlendFilterEvent):void
 {
 	if(event._enabled)
 	{
 			_blendMode1 = event._blendMode;
 			blend1Enable();	
 	}
 	else
 		blend1Disable();
 }
 
  private function blendEventHandler2(event:BlendFilterEvent):void
 {
 	if(event._enabled)
 	{
 		_blendMode2 = event._blendMode;
 		blend2Enable();	
 	}
 		
 	else
 		blend2Disable();
 }

private function blend1Enable():void
{	
	_blend1Enabled = true;
	
}

private function blend1Disable():void
{
	_blend1Enabled = false;
}

private function blend2Enable():void
{
	_blend2Enabled = true;
	
}

private function blend2Disable():void
{
	_blend2Enabled = false;
}