// ActionScript file
//Convolution Filter Handlers

import lib.FilterEvents.VideoFilterEventClass;

private function convfilterEvntHandler1(event:VideoFilterEventClass):void
{
  var indx:int = filtersCombo1.selectedIndex;
  var filters:Array = vid1Bmp.filters;
  var convolution:ConvolutionFilter= new ConvolutionFilter();
  if(event.matrix!=null) //Activate filter
  {
  	//Add convolution filter to filter1 array 
 	 convolution.matrixX=3;
 	 convolution.matrixY=3;
 	 convolution.matrix=event.matrix;
 	 convolution.divisor= 1;
 	 //add to videoFilters1 array
 	 if(indx>=filters.length)
 	  filters.push(convolution);
 	 else
 	  filters[indx] = convolution; 
  	
  }	
  else //Deactivate filter
  {
  	//deactivate filter by applying a convolution filter with the identity matrix
  	filters[indx] = convolution;
  }
  vid1Bmp.filters = filters;
}

private function convfilterEvntHandler2(event:VideoFilterEventClass):void
{
  var indx:int = filtersCombo2.selectedIndex;	
  var filters:Array = vid2Bmp.filters;
  var convolution:ConvolutionFilter= new ConvolutionFilter();
  if(event.matrix!=null) //Activate filter
  {
  	//Add convolution filter to filter2 array 
 	 convolution.matrixX=3;
 	 convolution.matrixY=3;
 	 convolution.matrix=event.matrix;
 	 convolution.divisor= 1;  	
 	 if(indx>=filters.length)
 	  filters.push(convolution);
 	 else
 	  filters[indx] = convolution; 
  }	
  else //Deactivate filter
  {
  	//deactivate filter by applying a convolution filter with the identity matrix
  	filters[indx] = convolution;
  }
  vid2Bmp.filters = filters;
}